What operating systems is IDM compatible with?

I have problems using IDM with Windows 98/ME. What should I do?

The latest version of IDM supports Windows XP/NT/2000/Vista/7/8/8.1/10 operating systems. IDM works with all versions of these systems including 64-bit versions. If you face any problems please make sure that you use the latest version of IDM.

Use this latest compatible version For Windows 98/ME. We will not support these operating systems in future versions.

Please note that the current version of IDM does not work with Unix/Linux/Mac systems. Maybe we will release versions for these systems in the future.

IDM does not work with all kind of mobile operating systems like Symbian/Android/Windows Mobile.